Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455053 - When a new NIC is added to a Windows guest with PV drivers, it terminates the ssh session that initially did the xm create guest.
Summary: When a new NIC is added to a Windows guest with PV drivers, it terminates the...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xenpv-win
Version: 5.2
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Barry Donahue
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 17:41 UTC by Barry Donahue
Modified: 2010-10-07 16:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 12:30:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Barry Donahue 2008-07-11 17:41:44 UTC
Description of problem: I ssh into Dom0 of a 5.2 RHEL host. Add a new NIC to the
config file for guest. xm create guest. When you start through the add new
hardware wizard, your ssh session will be terminated. Log back in and you can
complete the add new hardware wizard.


Version-Release number of selected component (if applicable):
RHEL 5.2
win-pv-drivers .97-1
Windows 2003R2

How reproducible:always


Steps to Reproduce:
1.ssh into dom0
2.add new NIC to guest config
3.xm create guest
4.Install the driver as requested by the add new hardware wizard.

Actual results:
  The new NIC is added on the guest but the ssh session on Dom0 is terminated.

Expected results:
   Dom0 should be unaffected.

Additional info:
   /var/log/messages of Dom0
Jul 11 11:34:55 clovertown-1 kernel: frontend_changed: backend/vif/61/0: prepare
for reconnect
Jul 11 11:34:55 clovertown-1 kernel: xenbr0: port 6(vif61.0) entering disabled state
Jul 11 11:34:55 clovertown-1 kernel: device vif61.0 left promiscuous mode
Jul 11 11:34:55 clovertown-1 kernel: xenbr0: port 6(vif61.0) entering disabled state
Jul 11 11:34:58 clovertown-1 kernel: frontend_changed: backend/vif/61/1: prepare
for reconnect
Jul 11 11:34:58 clovertown-1 kernel: xenbr0: port 7(vif61.1) entering disabled state
Jul 11 11:34:58 clovertown-1 kernel: device vif61.1 left promiscuous mode
Jul 11 11:34:58 clovertown-1 kernel: xenbr0: port 7(vif61.1) entering disabled state
Jul 11 11:34:58 clovertown-1 kernel: device vif61.0 entered promiscuous mode
Jul 11 11:34:58 clovertown-1 kernel: xenbr0: port 6(vif61.0) entering learning state
Jul 11 11:34:58 clovertown-1 kernel: xenbr0: topology change detected, propagating
Jul 11 11:34:58 clovertown-1 kernel: xenbr0: port 6(vif61.0) entering forwarding
state
Jul 11 11:34:58 clovertown-1 kernel: device vif61.1 entered promiscuous mode
Jul 11 11:34:58 clovertown-1 kernel: xenbr0: port 7(vif61.1) entering learning state
Jul 11 11:34:58 clovertown-1 kernel: xenbr0: topology change detected, propagating
Jul 11 11:34:58 clovertown-1 kernel: xenbr0: port 7(vif61.1) entering forwarding
state

Comment 1 Don Dutile 2008-09-03 15:45:10 UTC
Reassigning to project leader.

Comment 3 Perry Myers 2008-11-02 16:58:15 UTC
Can QE verify that this problem still exists in 0.97.4?  If so we'll follow up with the developers.

Comment 4 Bill Burns 2008-11-03 15:55:27 UTC
Is this still an issue?

Comment 5 Barry Donahue 2008-11-03 17:45:33 UTC
This is fixed in version 97.4.

Comment 7 Paolo Bonzini 2009-09-08 12:30:48 UTC
Re-verified fixed with the latest brew build.


Note You need to log in before you can comment on or make changes to this bug.